RealPlugin v1.30

Details

  • Filename
    RealPlugin.jar
  • Uploaded by
  • Uploaded
    Jul 25, 2013
  • Size
    55.58 KB
  • Downloads
    5,021
  • MD5
    76092d1c98338fff026562ec35b15c7e

Supported Bukkit Versions

  • 1.6.2

Changelog

v1.30

  • Craftbukkit / Minecraft 1.6.2 compatibility update (no backward compatibility !)

v1.29

  • Craftbukkit 1.5.2 compatibility update (no retro-compatibility !)

v1.28

  • Craftbukkit 1.5.1 compatibility update (no retro-compatibility !)

v1.27

  • Craftbukkit 1.4.7 compatibility update (no retro-compatibility !)

v1.26

  • Craftbukkit 1.4.6-R0.4 compatibility update (no retro-compatibility !)

v1.25

  • Craftbukkit 1.4.2-R0.2 compatibility update
  • /rr dump [itemId] command
  • fix cooking RealRecipes : 8 coal for 1 cooked stuff

v1.24

  • default permission plugin for "real" plugins is now bukkit
  • fix : RealFileTools.getFileContents() now gets carriage returns
  • setFileContents() to save a text file with one function only

v1.23

  • Download plugins from dev.bukkit.org instead of plugins.crafter.fr

v1.22

  • Fix cooked items recipes

v1.21

  • Some item ids that have variants : mushroom blocks, book and quill, map

v1.2

  • Minecraft 1.3.1 compatibility update
  • Repair real recipes links
  • Repair block max durablity link
  • Added new items-with-variants types id
  • Needed for having RealShop2 to work with Minecraft 1.3.1 !

v1.13

v1.13

  • devs: Added RealItemStack.cloneItem() for secure clone of ItemStacks
    Needed by last release of RealShop2

v1.12

  • Added /rp list : list all plugins
  • Added /rp reload pluginname : reload a plugin
  • Added /rp disable pluginname : disable a plugin
  • Added /rp enable pluginname : enable a plugin

v1.11

  • Remove load / unload messages : now bukkit do this !
  • Added /rp update and /rp upd (same as /rp download or /rp dl). ie /rp upd RealPlugin : update RealPlugin.jar

v1.10

  • Inventory events get rid of Spout and now use bukkit events

https://github.com/tickleman/RealPlugin/commits/master

Not compatible with craftbukkit/Minecraft versions lower than 1.6.2